package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamInfoSkuInfoModel {
    /**
     * 规格id
     */
    private Long id;
    /**
     * 商品id
     */
    private Long productId;
    /**
     * 规格SKU
     */
    private String sku;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团库存
     */
    private Long teamStock;
    public static ActivityTeamInfoSkuInfoModel activityTeamInfoSkuInfoModel (ActivityTeamProductSkuInfo activityTeamProductSkuInfo){
        return ActivityTeamInfoSkuInfoModel.builder()
                .id(activityTeamProductSkuInfo.getId())
                .sku(activityTeamProductSkuInfo.getProductSku())
                .teamPrice(activityTeamProductSkuInfo.getTeamPrice())
                .teamStock(activityTeamProductSkuInfo.getTeamStock())
                .build();
    }
}
